org.apache.tinkerpop.gremlin.structure.util.star

## Class StarGraph.StarAdjacentVertex

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.star.StarGraph.StarAdjacentVertex

- All Implemented Interfaces:
    Element, Host, Vertex
  Enclosing class:
    StarGraph

      public class StarGraph.StarAdjacentVertex
      extends Object
      implements Vertex

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Vertex

      `Vertex.Exceptions`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Vertex

      `DEFAULT_LABEL, EMPTY_ARGS`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Edge` | `addEdge(String label, Vertex inVertex, Object... keyValues)` Add an outgoing edge to the vertex with provided label and edge properties as key/value pairs.
    `Iterator<Edge>` | `edges(Direction direction, String... edgeLabels)` Gets an `Iterator` of incident edges.
    `boolean` | `equals(Object other)`
    `Graph` | `graph()` Get the graph that this element is within.
    `int` | `hashCode()`
    `Object` | `id()` Gets the unique identifier for the graph `Element`.
    `String` | `label()` Gets the label for the graph `Element` which helps categorize it.
    `<V> Iterator<VertexProperty<V>>` | `properties(String... propertyKeys)` Get an `Iterator` of properties where the `propertyKeys` is meant to be a filter on the available keys.
    `<V> VertexProperty<V>` | `property(String key, V value, Object... keyValues)` Set the provided key to the provided value using default `VertexProperty.Cardinality` for that key.
    `<V> VertexProperty<V>` | `property(VertexProperty.Cardinality cardinality, String key, V value, Object... keyValues)` Create a new vertex property.
    `void` | `remove()` Removes the `Element` from the graph.
    `String` | `toString()`
    `Iterator<Vertex>` | `vertices(Direction direction, String... edgeLabels)` Gets an `Iterator` of adjacent vertices.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Vertex

      `property, property`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `keys, value, values`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.util.Host

      `getHostingVertex`

- - ### Method Detail

    - #### addEdge

          public Edge addEdge(String label,
                              Vertex inVertex,
                              Object... keyValues)

      Description copied from interface: `Vertex`
      Add an outgoing edge to the vertex with provided label and edge properties as key/value pairs. These key/values must be provided in an even number where the odd numbered arguments are `String` property keys and the even numbered arguments are the related property values.
      Specified by:
        `addEdge` in interface `Vertex`
      Parameters:
        `label` - The label of the edge
        `inVertex` - The vertex to receive an incoming edge from the current vertex
        `keyValues` - The key/value pairs to turn into edge properties
      Returns:
        the newly created edge

    - #### property

          public <V> VertexProperty<V> property(String key,
                                                V value,
                                                Object... keyValues)

      Description copied from interface: `Vertex`
      Set the provided key to the provided value using default `VertexProperty.Cardinality` for that key. The default cardinality can be vendor defined and is usually tied to the graph schema. The default implementation of this method determines the cardinality `graph().features().vertex().getCardinality(key)`. The provided key/values are the properties of the newly created `VertexProperty`. These key/values must be provided in an even number where the odd numbered arguments are `String`.
      Specified by:
        `property` in interface `Vertex`
      Type Parameters:
        `V` - the type of the value of the vertex property
      Parameters:
        `key` - the key of the vertex property
        `value` - The value of the vertex property
        `keyValues` - the key/value pairs to turn into vertex property properties
      Returns:
        the newly created vertex property

    - #### property

          public <V> VertexProperty<V> property(VertexProperty.Cardinality cardinality,
                                                String key,
                                                V value,
                                                Object... keyValues)

      Description copied from interface: `Vertex`
      Create a new vertex property. If the cardinality is `VertexProperty.Cardinality.single`, then set the key to the value. If the cardinality is `VertexProperty.Cardinality.list`, then add a new value to the key. If the cardinality is `VertexProperty.Cardinality.set`, then only add a new value if that value doesn't already exist for the key. If the value already exists for the key, add the provided key value vertex property properties to it.
      Specified by:
        `property` in interface `Vertex`
      Type Parameters:
        `V` - the type of the value of the vertex property
      Parameters:
        `cardinality` - the desired cardinality of the property key
        `key` - the key of the vertex property
        `value` - The value of the vertex property
        `keyValues` - the key/value pairs to turn into vertex property properties
      Returns:
        the newly created vertex property

    - #### edges

          public Iterator<Edge> edges(Direction direction,
                                      String... edgeLabels)

      Description copied from interface: `Vertex`
      Gets an `Iterator` of incident edges.
      Specified by:
        `edges` in interface `Vertex`
      Parameters:
        `direction` - The incident direction of the edges to retrieve off this vertex
        `edgeLabels` - The labels of the edges to retrieve. If no labels are provided, then get all edges.
      Returns:
        An iterator of edges meeting the provided specification

    - #### vertices

          public Iterator<Vertex> vertices(Direction direction,
                                           String... edgeLabels)

      Description copied from interface: `Vertex`
      Gets an `Iterator` of adjacent vertices.
      Specified by:
        `vertices` in interface `Vertex`
      Parameters:
        `direction` - The adjacency direction of the vertices to retrieve off this vertex
        `edgeLabels` - The labels of the edges associated with the vertices to retrieve. If no labels are provided, then get all edges.
      Returns:
        An iterator of vertices meeting the provided specification

    - #### id

          public Object id()

      Description copied from interface: `Element`
      Gets the unique identifier for the graph `Element`.
      Specified by:
        `id` in interface `Element`
      Returns:
        The id of the element

    - #### label

          public String label()

      Description copied from interface: `Element`
      Gets the label for the graph `Element` which helps categorize it.
      Specified by:
        `label` in interface `Element`
      Returns:
        The label of the element

    - #### graph

          public Graph graph()

      Description copied from interface: `Element`
      Get the graph that this element is within.
      Specified by:
        `graph` in interface `Element`
      Returns:
        the graph of this element

    - #### remove

          public void remove()

      Description copied from interface: `Element`
      Removes the `Element` from the graph.
      Specified by:
        `remove` in interface `Element`

    - #### properties

          public <V> Iterator<VertexProperty<V>> properties(String... propertyKeys)

      Description copied from interface: `Vertex`
      Get an `Iterator` of properties where the `propertyKeys` is meant to be a filter on the available keys. If no keys are provide then return all the properties.
      Specified by:
        `properties` in interface `Element`
      Specified by:
        `properties` in interface `Vertex`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.